列表
获取列表帖子
GET /v1/lists/{list_id}/tweets reads 2 额度
公开列表中的最新帖子:其成员发布的所有内容,最新在前,包括转推和回复。
查询参数
| 查询参数 | 类型 | 含义 |
|---|---|---|
count | int 1–100 = 40 | 请求的页大小;X 仅作参考,并自行决定列表页的大小 |
cursor | string | 来自上一页的 next_cursor;无法解码的游标返回 400 |
响应
列表 id、一页帖子,以及下一页的游标(到底时为 null)。未知或私有的列表返回 404。
状态: 200, 400, 404, 422, 429, 502
请求
curl https://api.xsignalfeed.com/v1/lists/1439812722267357187/tweets?count=40 \ -H "Authorization: Bearer xsf_your_key"
响应 · 200 / 400
{
"list_id": "1439812722267357187",
"tweets": [
{
"id": 2100421151273152841,
"created_ms": 1789614401058,
"user_id": 1471798119453294593,
"user": "list_member",
"name": "…",
"text": "RT @nogizaka46: …",
"lang": "ja",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2100421151273152841",
"is_rt": true,
"rt_of": {
"id": "2100398710000000000",
"user": "nogizaka46",
"name": "乃木坂46",
"user_id": "…",
"text": "…",
"media": [
"https://pbs.twimg.com/media/….jpg"
],
"media_items": [
{
"…": "…"
}
],
"created_ms": 1789609050000,
"url": "https://x.com/nogizaka46/status/2100398710000000000"
},
"is_quote": false,
"quoted": null,
"media": [
"https://pbs.twimg.com/media/….jpg"
],
"media_items": [
{
"type": "photo",
"url": "https://pbs.twimg.com/media/….jpg",
"expanded_url": "https://x.com/nogizaka46/status/2100398710000000000/photo/1",
"width": 1200,
"height": 675
}
],
"urls": [
"https://…"
],
"views": null,
"counts": {
"reply": 0,
"rt": 312,
"like": 0,
"quote": 0,
"bookmark": 0
},
"source": "<a href=\"http://twitter.com/download/android\" rel=\"nofollow\">Twitter for Android</a>"
},
{
"…": "…"
}
],
"next_cursor": "DAABCgABHSYyJLe__60KAAIdJhjzCNqgMwgAAwAAAAIAAA"
}